package com.xjrsoft.common.enums;

/**
 * @description： 班主任请假事项leave_reason
 * @author： phoenix
 * @create： 2023/12/21 11:27
 * @Version 1.0
 */
public enum LeaveReasonEnum {
    /**
     * 周五学生放假
     * */
    LeaveReason1("leave_reason1", "周五学生放假"),

    /**
     * 课间操
     * */
    LeaveReason2("leave_reason2", "课间操"),

    /**
     * 周末返校（周末开会）
     * */
    LeaveReason3("leave_reason3", "周末返校（周末开会）");

    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    LeaveReasonEnum(final String code, final String message) {
        this.code = code;
        this.value = message;
    }
}
